Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::SumSymMatrixSpace Class Reference

Class for matrix space for SumSymMatrix. More...

`#include <IpSumSymMatrix.hpp>`

Inheritance diagram for Ipopt::SumSymMatrixSpace:
[legend]

## Public Member Functions
void | SetTermSpace (Index term_idx, const SymMatrixSpace &space)
| Use this method to set the matrix spaces for the various terms. More...
SmartPtr< const SymMatrixSpace > | GetTermSpace (Index term_idx) const
| Get the matix space for a particular term. More...
SumSymMatrix * | MakeNewSumSymMatrix () const
| Method for creating a new matrix of this specific type. More...
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded MakeNew method for the SymMatrixSpace base class. More...
Constructors / Destructors
| SumSymMatrixSpace (Index ndim, Index nterms)
| Constructor, given the dimension of the matrix and the number of terms in the sum. More...
| ~SumSymMatrixSpace ()
| Destructor. More...
Accessor functions
Index | NTerms () const
| Number of terms in the sum. More...
Public Member Functions inherited from Ipopt::SymMatrixSpace
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
Index | Dim () const
| Accessor method for the dimension of the matrices in this matrix space. More...
| SymMatrixSpace (Index dim)
| Constructor, given the dimension (identical to the number of rows and columns). More...
virtual | ~SymMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
Index | nterms_
std::vector< SmartPtr< const SymMatrixSpace > > | term_spaces_

## Detailed Description

Class for matrix space for SumSymMatrix.

Definition at line 103 of file IpSumSymMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SumSymMatrixSpace::SumSymMatrixSpace | ( | Index | ndim,
|  | Index | nterms
| ) |  |
| inline

Constructor, given the dimension of the matrix and the number of terms in the sum.

Definition at line 110 of file IpSumSymMatrix.hpp.

Ipopt::SumSymMatrixSpace::~SumSymMatrixSpace | ( |  | ) |
| inline

Destructor.

Definition at line 117 of file IpSumSymMatrix.hpp.

## Member Function Documentation

Index Ipopt::SumSymMatrixSpace::NTerms | ( |  | ) | const
| inline

Number of terms in the sum.

Definition at line 124 of file IpSumSymMatrix.hpp.

void Ipopt::SumSymMatrixSpace::SetTermSpace | ( | Index | term_idx,
|  | const SymMatrixSpace & | space
| ) |  |

Use this method to set the matrix spaces for the various terms.

You will not be able to create a matrix until all these spaces are set.

SmartPtr<const SymMatrixSpace> Ipopt::SumSymMatrixSpace::GetTermSpace | ( | Index | term_idx | ) | const

Get the matix space for a particular term.

SumSymMatrix* Ipopt::SumSymMatrixSpace::MakeNewSumSymMatrix | ( |  | ) | const

Method for creating a new matrix of this specific type.

virtual SymMatrix* Ipopt::SumSymMatrixSpace::MakeNewSymMatrix | ( |  | ) | const
| virtual

Overloaded MakeNew method for the SymMatrixSpace base class.

Implements Ipopt::SymMatrixSpace.

## Member Data Documentation

Index Ipopt::SumSymMatrixSpace::nterms_
| private

Definition at line 146 of file IpSumSymMatrix.hpp.

std::vector< SmartPtr<const SymMatrixSpace> > Ipopt::SumSymMatrixSpace::term_spaces_
| private

Definition at line 148 of file IpSumSymMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpSumSymMatrix.hpp